Package: org.codehaus.groovy.syntax

## [Java] Class RuntimeParserException

- org.codehaus.groovy.syntax.RuntimeParserException

-     public class RuntimeParserException
      extends GroovyRuntimeException

  A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RuntimeParserException(String message, ASTNode node)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `throwParserException()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public RuntimeParserException(String message, ASTNode node)

  - ### Method Detail

    - #### public void throwParserException()